COPYSIGN(3)

NAME
copysign, copysignf, copysignl - copy sign

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
copysign(double x, double y);
float
copysignf(float x, float y);
long double
copysignl(long double x, long double y);

DESCRIPTION
The copysign(), copysignf() and copysignl() functions return x with its sign changed to y's.

SEE ALSO
fabs(3), fdim(3), ieee(3), math(3)

STANDARDS
The copysign(), copysignf(), and copysignl() routines conform to isoC-99. They implement the Copysign function recommended by ieee754.

HISTORY
The copysign(), copysignf(), and copysignl() functions appeared in 4.3BSD, FreeBSD 2.0, and FreeBSD 5.3, respectively.